Audiences
GET /audiences
List audiences with bidirectional cursor-based pagination
GET
/
audiences
cURL
curl --request GET \
--url https://admin.fanfare.io/api/audiences \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://admin.fanfare.io/api/audiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/audiences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/audiences"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imports": [
{
"archived": true,
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"errorCount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processedConsumers": 123,
"progress": 123,
"s3Key": "<string>",
"status": "PENDING",
"errors": [
{
"issues": [
"<unknown>"
],
"row": 123
}
],
"totalConsumers": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
],
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rules": [
{
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operator": "EQUALS",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"values": [
"<string>"
],
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 0
}
],
"type": "DYNAMIC",
"description": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupName": "<string>",
"groupType": "SEGMENTED_VALUE",
"iconName": "<string>",
"lastRefreshedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"primaryExternalId": "<string>",
"primaryLastSyncedAt": "2023-11-07T05:31:56Z",
"primarySourceVendor": "<string>",
"primarySyncSource": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncSource": "<string>",
"syncSourceId": "<string>",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"sourceData": {},
"syncStatus": "PENDING",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
},
"primarySyncSourceId": "<string>",
"refreshIntervalSeconds": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
],
"pageInfo": {
"endCursor": "<string>",
"startCursor": "<string>"
}
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}⌘I
cURL
curl --request GET \
--url https://admin.fanfare.io/api/audiences \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://admin.fanfare.io/api/audiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/audiences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/audiences"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imports": [
{
"archived": true,
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"errorCount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processedConsumers": 123,
"progress": 123,
"s3Key": "<string>",
"status": "PENDING",
"errors": [
{
"issues": [
"<unknown>"
],
"row": 123
}
],
"totalConsumers": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
],
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rules": [
{
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"field": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operator": "EQUALS",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"values": [
"<string>"
],
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 0
}
],
"type": "DYNAMIC",
"description": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupName": "<string>",
"groupType": "SEGMENTED_VALUE",
"iconName": "<string>",
"lastRefreshedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"primaryExternalId": "<string>",
"primaryLastSyncedAt": "2023-11-07T05:31:56Z",
"primarySourceVendor": "<string>",
"primarySyncSource": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncSource": "<string>",
"syncSourceId": "<string>",
"lastSyncedAt": "2023-11-07T05:31:56Z",
"sourceData": {},
"syncStatus": "PENDING",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
},
"primarySyncSourceId": "<string>",
"refreshIntervalSeconds": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
],
"pageInfo": {
"endCursor": "<string>",
"startCursor": "<string>"
}
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}